Skip to main content
GET
Delivers a single sales channel with the available endpoints by its id.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesChannelId
string
required

Response

A single sales channel with the available endpoints.

id
string
required

Opaque, tenant-local composite identifier (not a UUID) that uniquely identifies the sales channel.

type
enum<integer>
required

Type of the sales channel.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10
name
string
required

Name of the sales channel, e.g. eBay.de, amazon.uk, myshop.de.

isActive
boolean
required

Indicates whether the sales channel's underlying account is active.

isLocked
boolean
required

Indicates whether data transmission/synchronization to the sales channel is currently blocked for this account. Does not indicate the account itself is deactivated or deleted.

itemCapabilities
object
required

Indicates which parts of items can be managed for a sales channel via the API.

categoryCapabilities
object
required

Indicates which parts of categories can be managed for a sales channel via the API.

documentationUrl
string

URL for the documentation of the available endpoints for this specific sales channel.

detailUrl
string

Machine-readable, type-specific URL of the detail endpoint for this specific sales channel.